PEMParser (Bouncy Castle Library 1.54 API Specification)
Date: 2015-12-29

org.bouncycastle.openssl

## Class PEMParser

- java.lang.Object
- - java.io.Reader
  - - java.io.BufferedReader
    - - org.bouncycastle.util.io.pem.PemReader
      - - org.bouncycastle.openssl.PEMParser

- All Implemented Interfaces:
    java.io.Closeable, java.lang.AutoCloseable, java.lang.Readable

      public class PEMParser
      extends org.bouncycastle.util.io.pem.PemReader

  Class for parsing OpenSSL PEM encoded streams containing X509 certificates, PKCS8 encoded keys and PKCS7 objects.

  In the case of PKCS7 objects the reader will return a CMS ContentInfo object. Public keys will be returned as well formed SubjectPublicKeyInfo objects, private keys will be returned as well formed PrivateKeyInfo objects. In the case of a private key a PEMKeyPair will normally be returned if the encoding contains both the private and public key definition. CRLs, Certificates, PKCS#10 requests, and Attribute Certificates will generate the appropriate BC holder class.

- - ### Field Summary

    - ### Fields inherited from class java.io.Reader

      `lock`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PEMParser(java.io.Reader reader)` Create a new PEMReader

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `readObject()`

    - ### Methods inherited from class org.bouncycastle.util.io.pem.PemReader

      `readPemObject`

    - ### Methods inherited from class java.io.BufferedReader

      `close, mark, markSupported, read, read, readLine, ready, reset, skip`

    - ### Methods inherited from class java.io.Reader

      `read, read`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PEMParser

          public PEMParser(java.io.Reader reader)

      Create a new PEMReader
      Parameters:
        `reader` - the Reader

  - ### Method Detail

    - #### readObject

          public java.lang.Object readObject()
                                      throws java.io.IOException

      Throws:
        `java.io.IOException`